Package com.sas.lsaf.security.user

## Class LoginInfo

- java.lang.Object
- - com.sas.lsaf.security.user.LoginInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LoginInfo
      extends java.lang.Object
      implements java.io.Serializable

  User account login information that details the last login and how many login attempts have been made for a user account since the last successful login.
  Since:
    1.2
  See Also:
    `User.getLoginInfo()`, `UserService.getUserByUserId(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoginInfo​(java.util.Date lastLogin, long loginAttempts)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getLastLogin()` | Gets the date of the last login of the user account.
    `long` | `getLoginAttempts()` | Gets the number of login attempts since the last successful login of the user account.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginInfo

          public LoginInfo​(java.util.Date lastLogin,
                           long loginAttempts)

      Constructor.
      Parameters:
        `lastLogin` - the date of the last login of the user account.
        `loginAttempts` - the number of login attempts since the last successful login of the user account.

  - ### Method Detail

    - #### getLastLogin

          public java.util.Date getLastLogin()

      Gets the date of the last login of the user account.
      Returns:
        The date of the last login of the user account.

    - #### getLoginAttempts

          public long getLoginAttempts()

      Gets the number of login attempts since the last successful login of the user account.
      Returns:
        The number of login attempts since the last successful login of the user account.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`